<?php

/**
 * Subclass for representing a row from the 'node_network' table.
 *
 * @package lib.model
 */
class NodeNetwork extends BaseNodeNetwork implements ICatalyzAdvancedContentProvider {
    /**
     * NodeHome::getAvailableLayouts()
     *
     * @return
     */
    public function getAvailableLayouts() {
        return array('katao/default');
    }

    public function updateFromRequest($node, $request, $previewMode) {
        $culture = $request->getParameter('culture');
        $this->setIntroduction($request->getParameter('introduction'), $culture);
    }
    public function getValidSubClasses() {
        $result = array();
        $result[] = 'Page';
        $result[] = 'News';
        return $result;
    }
    static function getNodeClassCaption() {
        return 'Réseau';
    }
    public static function getNodeClassDescription() {
        return '';
    }
    static public function getLayoutAreas() {
        return array();
    }

	public function getTemplateName($node, $request) {
		if ($request->hasParameter('popup')) {
			return 'viewPopup';
		}
		return 'view';
	}
	public function needsLayout($node, $request) {
		return !$request->hasParameter('popup');
	}
}